| Home | Libraries | People | FAQ | More

## Function template make_iterator_range

boost::algorithm::make_iterator_range — iterator_range construct helper

## Synopsis

    template<typename IteratorT>
      iterator_range< IteratorT >
      make_iterator_range(IteratorT Begin, IteratorT End);

## Description

Construct an `iterator_range` from a pair of iterators

Parameters

Begin

  A begin iterator

End

  An end iterator

Returns: iterator_range object

| Copyright © 2002-2004 Pavol Droba